org.modeshape.jboss.subsystem

## Class ModeShapeServiceNames

- java.lang.Object
- - org.modeshape.jboss.subsystem.ModeShapeServiceNames

-     public class ModeShapeServiceNames
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.jboss.msc.service.ServiceName` | `ENGINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeShapeServiceNames()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.msc.service.ServiceName` | `authenticatorServiceName(String repositoryName, String authenticatorName)`
    `static org.jboss.msc.service.ServiceName` | `binaryStorageDefaultServiceName(String repositoryName)`
    `static org.jboss.msc.service.ServiceName` | `binaryStorageDirectoryServiceName(String repositoryName)`
    `static org.jboss.msc.service.ServiceName` | `binaryStorageDirectoryServiceName(String repositoryName, String binaryStoreName)`
    `static org.jboss.msc.service.ServiceName` | `binaryStorageNestedServiceName(String repositoryName, String binaryStoreName)`
    `static org.jboss.msc.service.ServiceName` | `dataDirectoryServiceName(String name)`
    `static org.jboss.msc.service.ServiceName` | `indexSourceStorageDirectoryServiceName(String repositoryName)`
    `static org.jboss.msc.service.ServiceName` | `indexStorageDirectoryServiceName(String repositoryName)`
    `static org.jboss.msc.service.ServiceName` | `indexStorageServiceName(String repositoryName)` Obtain the name of the service for the `IndexStorage` for the given repository name
    `static org.jboss.msc.service.ServiceName` | `monitorServiceName(String repositoryName)`
    `static org.jboss.msc.service.ServiceName` | `referenceFactoryServiceName(String repositoryName)`
    `static org.jboss.msc.service.ServiceName` | `repositoryServiceName(String name)`
    `static org.jboss.msc.service.ServiceName` | `sequencerServiceName(String repositoryName, String sequencerName)`
    `static org.jboss.msc.service.ServiceName` | `sourceServiceName(String repositoryName, String sourceName)`
    `static org.jboss.msc.service.ServiceName` | `textExtractorServiceName(String repositoryName, String extractorName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENGINE

          public static org.jboss.msc.service.ServiceName ENGINE

  - ### Constructor Detail

    - #### ModeShapeServiceNames

          public ModeShapeServiceNames()

  - ### Method Detail

    - #### repositoryServiceName

          public static org.jboss.msc.service.ServiceName repositoryServiceName(String name)

    - #### sequencerServiceName

          public static org.jboss.msc.service.ServiceName sequencerServiceName(String repositoryName,
                                                               String sequencerName)

    - #### sourceServiceName

          public static org.jboss.msc.service.ServiceName sourceServiceName(String repositoryName,
                                                            String sourceName)

    - #### textExtractorServiceName

          public static org.jboss.msc.service.ServiceName textExtractorServiceName(String repositoryName,
                                                                   String extractorName)

    - #### authenticatorServiceName

          public static org.jboss.msc.service.ServiceName authenticatorServiceName(String repositoryName,
                                                                   String authenticatorName)

    - #### dataDirectoryServiceName

          public static org.jboss.msc.service.ServiceName dataDirectoryServiceName(String name)

    - #### indexStorageServiceName

          public static org.jboss.msc.service.ServiceName indexStorageServiceName(String repositoryName)

      Obtain the name of the service for the `IndexStorage` for the given repository name
      Parameters:
        `repositoryName` - the repository name
      Returns:
        the service name

    - #### indexStorageDirectoryServiceName

          public static org.jboss.msc.service.ServiceName indexStorageDirectoryServiceName(String repositoryName)

    - #### indexSourceStorageDirectoryServiceName

          public static org.jboss.msc.service.ServiceName indexSourceStorageDirectoryServiceName(String repositoryName)

    - #### binaryStorageDefaultServiceName

          public static org.jboss.msc.service.ServiceName binaryStorageDefaultServiceName(String repositoryName)

    - #### binaryStorageNestedServiceName

          public static org.jboss.msc.service.ServiceName binaryStorageNestedServiceName(String repositoryName,
                                                                         String binaryStoreName)

    - #### binaryStorageDirectoryServiceName

          public static org.jboss.msc.service.ServiceName binaryStorageDirectoryServiceName(String repositoryName)

    - #### binaryStorageDirectoryServiceName

          public static org.jboss.msc.service.ServiceName binaryStorageDirectoryServiceName(String repositoryName,
                                                                            String binaryStoreName)

    - #### referenceFactoryServiceName

          public static org.jboss.msc.service.ServiceName referenceFactoryServiceName(String repositoryName)

    - #### monitorServiceName

          public static org.jboss.msc.service.ServiceName monitorServiceName(String repositoryName)

      Parameters:
        `repositoryName` - the repository name (cannot be `null`)
      Returns:
        the service name (never `null` or empty)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.